>_ NicAPI Dokumentation

REST-API von LUMASERV: Domains, DNS, SSL, Cloud-Server, IP-Adressen, Abrechnung und mehr.

Abrechnung / Rechnungen

GET Rechnungen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings

Gibt alle zugewiesenen Rechnugen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Rechnungspositionen abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions

Gibt alle zugewiesenen Rechnungspositionen zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Billings: Positions Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Rechnungsposition abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/positions/{billing_position}

Gibt Informationen zu einer einzelnen Rechnungsposition zurück

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing_position Pflicht Identifikator: Rechnungsposition Identifikator (id) des Objekts „Billing Position“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/positions/{billing_position}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/positions/{billing_position}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Billings: Statistics API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/statistics
Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/statistics"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/statistics");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Einzelne Rechnung abrufen API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/{billing}

Gibt Informationen zu einer einzelnen Rechnung zurück.

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing Pflicht Identifikator: Rechnung Identifikator (number) des Objekts „Billing“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/{billing}"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/{billing}");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}

GET Rechnung downloaden API v1

GET https://connect.nicapi.eu/api/v1/accounting/billings/{billing}/download

Gibt einen Download der Rechnung zurück

Authentifizierung
API-Token erforderlich (Authorization: Bearer … oder Parameter authToken)
Benötigte Rechte
BILLINGS_LIST

Pfad-Parameter Werden direkt in die URL eingesetzt.

Name Pflicht Typ Einschränkungen Beschreibung
billing Pflicht Identifikator: Rechnung Identifikator (number) des Objekts „Billing“, Teil des Pfads.

Dieser Endpunkt benötigt neben der Authentifizierung keine weiteren Request-Parameter.

curl \
  -H "Authorization: Bearer IHR_API_TOKEN" \
  "https://connect.nicapi.eu/api/v1/accounting/billings/{billing}/download"
use NicAPI\NicAPI;

NicAPI::init("IHR_API_TOKEN");

$result = NicAPI::get("accounting/billings/{billing}/download");

if (NicAPI::wasSuccess()) {
    $data = $result->data;
}